wxWidgets: wxRichTextXMLHandler Class Reference

| Version: 3.0.4

Public Member Functions | Static Public Member Functions | Protected Member Functions | List of all members
wxRichTextXMLHandler Class Reference
Class List by Category » Rich Text

`#include </usr/src/ports/wxWidgets3.0/wxWidgets3.0-3.0.4-1.x86_64/src/wxWidgets-3.0.4/interface/wx/richtext/richtextxml.h>`

Inheritance diagram for wxRichTextXMLHandler:
[legend]

## Detailed Description

A handler for loading and saving content in an XML format specific to wxRichTextBuffer.

You can either add the handler to the buffer and load and save through the buffer or control API, or you can create an instance of the handler on the stack and call its functions directly.

# Handler flags

The following flags can be used with this handler, via the handler's SetFlags() function or the buffer or control's SetHandlerFlags() function:

- wxRICHTEXT_HANDLER_INCLUDE_STYLESHEET Include the style sheet in loading and saving operations.

##

Library: wxRichText

<>< =''>:</>&;&;< =''>\ </></>

## Public Member Functions
| wxRichTextXMLHandler (const wxString &name="XML", const wxString &ext="xml", int type=wxRICHTEXT_TYPE_XML)
| Constructor. More...
virtual bool | CanLoad () const
| Returns true. More...
virtual bool | CanSave () const
| Returns true. More...
bool | ExportXML (wxOutputStream &stream, wxRichTextObject &obj, int level)
| Recursively exports an object to the stream. More...
bool | ImportXML (wxRichTextBuffer *buffer, wxRichTextObject *obj, wxXmlNode *node)
| Recursively imports an object. More...
Public Member Functions inherited from wxRichTextFileHandler
| wxRichTextFileHandler (const wxString &name=wxEmptyString, const wxString &ext=wxEmptyString, int type=0)
| Creates a file handler object. More...
bool | LoadFile (wxRichTextBuffer *buffer, wxInputStream &stream)
| Loads the buffer from a stream. More...
bool | SaveFile (wxRichTextBuffer *buffer, wxOutputStream &stream)
| Saves the buffer to a stream. More...
virtual bool | LoadFile (wxRichTextBuffer *buffer, const wxString &filename)
| Loads the buffer from a file. More...
virtual bool | SaveFile (wxRichTextBuffer *buffer, const wxString &filename)
| Saves the buffer to a file. More...
virtual bool | CanHandle (const wxString &filename) const
| Returns true if we handle this filename (if using files). More...
virtual bool | IsVisible () const
| Returns true if this handler should be visible to the user. More...
virtual void | SetVisible (bool visible)
| Sets whether the handler should be visible to the user (via the application's load and save dialogs). More...
void | SetName (const wxString &name)
| Sets the name of the handler. More...
wxString | GetName () const
| Returns the name of the handler. More...
void | SetExtension (const wxString &ext)
| Sets the default extension to recognise. More...
wxString | GetExtension () const
| Returns the default extension to recognise. More...
void | SetType (int type)
| Sets the handler type. More...
int | GetType () const
| Returns the handler type. More...
void | SetFlags (int flags)
| Sets flags that change the behaviour of loading or saving. More...
int | GetFlags () const
| Returns flags controlling how loading and saving is done. More...
void | SetEncoding (const wxString &encoding)
| Sets the encoding to use when saving a file. More...
const wxString & | GetEncoding () const
| Returns the encoding to use when saving a file. More...
Public Member Functions inherited from wxObject
| wxObject ()
| Default ctor; initializes to NULL the internal reference data. More...
| wxObject (const wxObject &other)
| Copy ctor. More...
virtual | ~wxObject ()
| Destructor. More...
virtual wxClassInfo * | GetClassInfo () const
| This virtual function is redefined for every class that requires run-time type information, when using the wxDECLARE_CLASS macro (or similar). More...
wxObjectRefData * | GetRefData () const
| Returns the wxObject::m_refData pointer, i.e. the data referenced by this object. More...
bool | IsKindOf (const wxClassInfo *info) const
| Determines whether this class is a subclass of (or the same class as) the given class. More...
bool | IsSameAs (const wxObject &obj) const
| Returns true if this object has the same data pointer as obj. More...
void | Ref (const wxObject &clone)
| Makes this object refer to the data in clone. More...
void | SetRefData (wxObjectRefData *data)
| Sets the wxObject::m_refData pointer. More...
void | UnRef ()
| Decrements the reference count in the associated data, and if it is zero, deletes the data. More...
void | UnShare ()
| This is the same of AllocExclusive() but this method is public. More...
void | operator delete (void *buf)
| The delete operator is defined for debugging versions of the library only, when the identifier `WXDEBUG` is defined. More...
void * | operator new (size_t size, const wxString &filename=NULL, int lineNum=0)
| The new operator is defined for debugging versions of the library only, when the identifier `WXDEBUG` is defined. More...

## Static Public Member Functions
static void | RegisterNodeName (const wxString &nodeName, const wxString &className)
| Call with XML node name, C++ class name so that wxRTC can read in the node. More...
static void | ClearNodeToClassMap ()
| Cleans up the mapping between node name and C++ class. More...

## Protected Member Functions
virtual bool | DoLoadFile (wxRichTextBuffer *buffer, wxInputStream &stream)
| Loads buffer context from the given stream. More...
virtual bool | DoSaveFile (wxRichTextBuffer *buffer, wxOutputStream &stream)
| Saves buffer context to the given stream. More...
Protected Member Functions inherited from wxObject
void | AllocExclusive ()
| Ensure that this object's data is not shared with any other object. More...
virtual wxObjectRefData * | CreateRefData () const
| Creates a new instance of the wxObjectRefData-derived class specific to this object and returns it. More...
virtual wxObjectRefData * | CloneRefData (const wxObjectRefData *data) const
| Creates a new instance of the wxObjectRefData-derived class specific to this object and initializes it copying data. More...

## Additional Inherited Members
Protected Attributes inherited from wxRichTextFileHandler
wxString | m_name
wxString | m_encoding
wxString | m_extension
int | m_type
int | m_flags
bool | m_visible
Protected Attributes inherited from wxObject
wxObjectRefData * | m_refData
| Pointer to an object which is the object's reference-counted data. More...

## Constructor & Destructor Documentation

## ◆ wxRichTextXMLHandler()

wxRichTextXMLHandler::wxRichTextXMLHandler | ( | const wxString & | name = `"XML"`,
|  | const wxString & | ext = `"xml"`,
|  | int | type = `wxRICHTEXT_TYPE_XML`
| ) |  |

Constructor.

## Member Function Documentation

## ◆ CanLoad()

virtual bool wxRichTextXMLHandler::CanLoad | ( |  | ) | const
| virtual

Returns true.

Reimplemented from wxRichTextFileHandler.

## ◆ CanSave()

virtual bool wxRichTextXMLHandler::CanSave | ( |  | ) | const
| virtual

Returns true.

Reimplemented from wxRichTextFileHandler.

## ◆ ClearNodeToClassMap()

static void wxRichTextXMLHandler::ClearNodeToClassMap | ( |  | ) |
| inlinestatic

Cleans up the mapping between node name and C++ class.

## ◆ DoLoadFile()

virtual bool wxRichTextXMLHandler::DoLoadFile | ( | wxRichTextBuffer * | buffer,
|  | wxInputStream & | stream
| ) |  |
| protectedvirtual

Loads buffer context from the given stream.

Implements wxRichTextFileHandler.

## ◆ DoSaveFile()

virtual bool wxRichTextXMLHandler::DoSaveFile | ( | wxRichTextBuffer * | buffer,
|  | wxOutputStream & | stream
| ) |  |
| protectedvirtual

Saves buffer context to the given stream.

Implements wxRichTextFileHandler.

## ◆ ExportXML()

bool wxRichTextXMLHandler::ExportXML | ( | wxOutputStream & | stream,
|  | wxRichTextObject & | obj,
|  | int | level
| ) |  |

Recursively exports an object to the stream.

## ◆ ImportXML()

bool wxRichTextXMLHandler::ImportXML | ( | wxRichTextBuffer * | buffer,
|  | wxRichTextObject * | obj,
|  | wxXmlNode * | node
| ) |  |

Recursively imports an object.

## ◆ RegisterNodeName()

static void wxRichTextXMLHandler::RegisterNodeName | ( | const wxString & | nodeName,
|  | const wxString & | className
| ) |  |
| inlinestatic

Call with XML node name, C++ class name so that wxRTC can read in the node.

If you add a custom object, call this.